/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.view;

import br.controle.ControleContato;
import cadastrodeveiculos.classe.PessoaFisica;
import java.util.ArrayList;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import cadastrodeveiculos.arquiteturadosoftware.PersistenciaPessoaFisica;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author aluno
 */
public class cadastrodecliente extends javax.swing.JFrame {

    private String FILE_FISICA = "D:\\ProjetoIntegrador02\\dados.txt";

    private boolean incluindo = true;
    private Integer linhaAlterando = null;

    PersistenciaPessoaFisica fisica = new PersistenciaPessoaFisica(FILE_FISICA);

    DefaultComboBoxModel veicUF, veicCombust;

    public void carregaUF() {
        String[] uf = {"AC", "AL", "AP", "AM", "BA", "CE", "DF", "ES", "GO", "MA", "MT",
            "MS", "MG", "PA", "PB", "PR", "PE", "PI", "RJ", "RN", "RS", "RO", "RR", "SC", "SP", "SE", "TO"};
        veicUF = new DefaultComboBoxModel(uf);
        jComboBoxUF.setModel(veicUF);
    }

    /**
     * Creates new form cadastrodecliente
     */
    public cadastrodecliente() {
        initComponents();
        carregaUF();
    }
    PessoaFisica objeto = null;

    private void LimparTela() {
        jTextFieldCPF.setText("");
        jTextFieldNOMECLIENTE.setText("");
        jTextFieldCEP.setText("");
        jComboBoxUF.setSelectedItem("");
        jTextFieldCIDADE.setText("");
        jTextFieldBAIRRO.setText("");
        jTextFieldENDERECO.setText("");
        jTextFieldCELULAR.setText("");
        jTextFieldEMAIL.setText("");
        jTextFieldID.setText("");
        jTextFieldDATANACIMENTO.setText("");
        jTextFieldESTADO.setText("");
      
        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jTextFieldNOMECLIENTE = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jComboBoxUF = new javax.swing.JComboBox<String>();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jTextFieldBAIRRO = new javax.swing.JTextField();
        jTextFieldCIDADE = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jTextFieldENDERECO = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jTextFieldEMAIL = new javax.swing.JTextField();
        jButtonINCLUIR = new javax.swing.JButton();
        jButtonALTERAR = new javax.swing.JButton();
        jButtonLISTAR = new javax.swing.JButton();
        jButtonEXCLUIR = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jTextFieldESTADO = new javax.swing.JTextField();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTableIMFORMACOES = new javax.swing.JTable();
        jLabel13 = new javax.swing.JLabel();
        jTextFieldID = new javax.swing.JTextField();
        jTextFieldCPF = new javax.swing.JFormattedTextField();
        jTextFieldDATANACIMENTO = new javax.swing.JFormattedTextField();
        jTextFieldCELULAR = new javax.swing.JFormattedTextField();
        jTextFieldCEP = new javax.swing.JFormattedTextField();
        jButtonCancelar = new javax.swing.JButton();

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(jTable1);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JL Rent Car - Cadastro de Cliente");

        jLabel2.setFont(new java.awt.Font("Georgia", 1, 22)); // NOI18N
        jLabel2.setText("Cadastro De Cliente");

        jLabel3.setText("NOME ");

        jTextFieldNOMECLIENTE.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldNOMECLIENTEActionPerformed(evt);
            }
        });

        jLabel4.setText("CPF");

        jComboBoxUF.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxUFActionPerformed(evt);
            }
        });

        jLabel5.setText("UF");

        jLabel6.setText("CEP");

        jLabel7.setText("CIDADE");

        jLabel10.setText("BAIRRO");

        jLabel12.setText("ENDEREÇO");

        jLabel14.setText("CELULAR");

        jLabel17.setText("EMAIL");

        jButtonINCLUIR.setText("INCLUIR");
        jButtonINCLUIR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonINCLUIRActionPerformed(evt);
            }
        });

        jButtonALTERAR.setText("ALTERAR");
        jButtonALTERAR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonALTERARActionPerformed(evt);
            }
        });

        jButtonLISTAR.setText("LISTAR");
        jButtonLISTAR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonLISTARActionPerformed(evt);
            }
        });

        jButtonEXCLUIR.setText("EXCLUIR");
        jButtonEXCLUIR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEXCLUIRActionPerformed(evt);
            }
        });

        jLabel8.setText("DATA NACIMENTO");

        jLabel9.setText("ESTADO");

        jTableIMFORMACOES.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "NOME", "CPF", "DATA NACIMENTO", "UF", "CEP", "CIDADE", "BAIRRO", "ESTADO", "ENDEREÇO", "CELULAR", "EMAIL", "ID"
            }
        ));
        jTableIMFORMACOES.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_OFF);
        jScrollPane2.setViewportView(jTableIMFORMACOES);

        jLabel13.setText("ID");

        try {
            jTextFieldCPF.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("###.###.###-##")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        try {
            jTextFieldDATANACIMENTO.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##/##/####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        try {
            jTextFieldCELULAR.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("(##) # ####-####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jTextFieldCELULAR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCELULARActionPerformed(evt);
            }
        });

        try {
            jTextFieldCEP.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##.###-##")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        jButtonCancelar.setText("CANCELAR");
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane2)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButtonINCLUIR)
                        .addGap(18, 18, 18)
                        .addComponent(jButtonALTERAR)
                        .addGap(18, 18, 18)
                        .addComponent(jButtonLISTAR)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jButtonEXCLUIR)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jLabel11, javax.swing.GroupLayout.PREFERRED_SIZE, 0, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(0, 0, Short.MAX_VALUE))
                            .addGroup(layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jButtonCancelar)
                                .addGap(0, 0, Short.MAX_VALUE))))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(jTextFieldNOMECLIENTE, javax.swing.GroupLayout.PREFERRED_SIZE, 270, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGap(18, 18, 18)
                                        .addComponent(jTextFieldCPF, javax.swing.GroupLayout.PREFERRED_SIZE, 184, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(jLabel5)
                                        .addGap(55, 55, 55)
                                        .addComponent(jLabel6)))
                                .addGap(24, 24, 24)
                                .addComponent(jTextFieldDATANACIMENTO, javax.swing.GroupLayout.PREFERRED_SIZE, 117, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 226, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jLabel1))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel3)
                                .addGap(252, 252, 252)
                                .addComponent(jLabel4)
                                .addGap(193, 193, 193)
                                .addComponent(jLabel8))
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(65, 65, 65)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabel12)
                                            .addComponent(jLabel17)))
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(59, 59, 59)
                                        .addComponent(jTextFieldEMAIL, javax.swing.GroupLayout.PREFERRED_SIZE, 199, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                        .addComponent(jComboBoxUF, javax.swing.GroupLayout.PREFERRED_SIZE, 47, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldENDERECO, javax.swing.GroupLayout.PREFERRED_SIZE, 199, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jTextFieldCEP, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 199, javax.swing.GroupLayout.PREFERRED_SIZE))))
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addGroup(layout.createSequentialGroup()
                                                .addComponent(jLabel7)
                                                .addGap(89, 89, 89))
                                            .addGroup(layout.createSequentialGroup()
                                                .addComponent(jTextFieldCIDADE, javax.swing.GroupLayout.PREFERRED_SIZE, 114, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabel10)
                                            .addComponent(jTextFieldBAIRRO, javax.swing.GroupLayout.PREFERRED_SIZE, 184, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(layout.createSequentialGroup()
                                                .addGap(26, 26, 26)
                                                .addComponent(jLabel9))
                                            .addGroup(layout.createSequentialGroup()
                                                .addGap(18, 18, 18)
                                                .addComponent(jTextFieldESTADO, javax.swing.GroupLayout.PREFERRED_SIZE, 108, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                        .addGap(15, 15, 15))
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(59, 59, 59)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabel14)
                                            .addComponent(jLabel13)
                                            .addComponent(jTextFieldID, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jTextFieldCELULAR, javax.swing.GroupLayout.PREFERRED_SIZE, 184, javax.swing.GroupLayout.PREFERRED_SIZE))))))
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel11, javax.swing.GroupLayout.PREFERRED_SIZE, 0, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(20, 20, 20))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel3)
                                    .addComponent(jLabel8)))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(3, 3, 3)
                                .addComponent(jLabel4)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextFieldNOMECLIENTE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFieldCPF, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFieldDATANACIMENTO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel5)
                                    .addComponent(jLabel6))
                                .addGap(38, 38, 38))
                            .addGroup(layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel9)
                                    .addComponent(jLabel10)
                                    .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 14, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jTextFieldCIDADE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextFieldBAIRRO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jComboBoxUF, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextFieldCEP, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextFieldESTADO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel12)
                    .addComponent(jLabel14))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldENDERECO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldCELULAR, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel17)
                    .addComponent(jLabel13))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldEMAIL, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldID, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonINCLUIR)
                    .addComponent(jButtonALTERAR)
                    .addComponent(jButtonLISTAR)
                    .addComponent(jButtonEXCLUIR)
                    .addComponent(jButtonCancelar))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 157, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(7, 7, 7))
        );

        setSize(new java.awt.Dimension(755, 498));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jComboBoxUFActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxUFActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxUFActionPerformed

    private void jButtonALTERARActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonALTERARActionPerformed

        try {
            if (jTableIMFORMACOES.getSelectedRow() != -1) {
                alterarMarcaSelecionadaDoArquivo(jTableIMFORMACOES.getSelectedRow());
            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Alterar!!");
            }
        } catch (IOException e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }
    }//GEN-LAST:event_jButtonALTERARActionPerformed

    private void jButtonINCLUIRActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonINCLUIRActionPerformed

        try {
            
            ControleContato conexao = new ControleContato();
            String nome = jTextFieldNOMECLIENTE.getText();
            String CPF = jTextFieldCPF.getText();
            String datanacimento = jTextFieldDATANACIMENTO.getText();
            String UF = (String) jComboBoxUF.getSelectedItem();
            String CEP = jTextFieldCEP.getText();
            String cidade = jTextFieldCIDADE.getText();
            String bairro = jTextFieldBAIRRO.getText();
            String estado = jTextFieldESTADO.getText();
            String endereco = jTextFieldENDERECO.getText();
            String celular = jTextFieldCELULAR.getText();
            String email = jTextFieldEMAIL.getText();
            String id = jTextFieldID.getText();

            PessoaFisica objPessoaFisica = new PessoaFisica(nome, CPF, datanacimento, UF, CEP, cidade, bairro, estado, endereco, celular, email, id);
            LimparTela();
            if (incluindo) {
                //Listar assim que inclui na Tabela  
                DefaultTableModel inclui = (DefaultTableModel) jTableIMFORMACOES.getModel();
                inclui.addRow(new String[]{nome, CPF, datanacimento, UF, CEP, cidade, bairro, estado, endereco, celular, email, id});

                //Incluir nova linha na Tabela
                fisica.incluir(objPessoaFisica);
                conexao.incluirDadosPersistencia(objPessoaFisica, 1);
            } else {
                Path path = Paths.get(FILE_FISICA);
                List<String> linhas = Files.readAllLines(path);

                String novoConteudo = objPessoaFisica.desmaterializar();

                linhas.remove(linhaAlterando.intValue());
                linhas.add(linhaAlterando, novoConteudo);

                Files.write(path, linhas);

                incluindo = true;
                linhaAlterando = null;
            }
             
                 
        } catch (Exception erro) {
            JOptionPane.showMessageDialog(rootPane, erro.getMessage());
        }


    }//GEN-LAST:event_jButtonINCLUIRActionPerformed

    private void jButtonEXCLUIRActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEXCLUIRActionPerformed

        try {

            if (jTableIMFORMACOES.getSelectedRow() != -1) {
                DefaultTableModel model = (DefaultTableModel) jTableIMFORMACOES.getModel();
                model.removeRow(jTableIMFORMACOES.getSelectedRow());
                excluirMarcaSelecionadaDoArquivo(jTableIMFORMACOES.getSelectedRow());

            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Excluir!!");
            }
        } catch (Exception e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }
    }//GEN-LAST:event_jButtonEXCLUIRActionPerformed

    private void jButtonLISTARActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonLISTARActionPerformed
        try {
            ArrayList<PessoaFisica> dados = fisica.listagem();
            DefaultTableModel model = (DefaultTableModel) jTableIMFORMACOES.getModel();
            model.setNumRows(0);

            for (int pos = 0; pos < dados.size(); pos++) {
                String[] saida = new String[11];
                PessoaFisica aux = dados.get(pos);
                saida[0] = aux.getId();
                saida[1] = aux.getCEP();
                saida[2] = aux.getCPF();
                saida[3] = aux.getBairro();
                saida[4] = aux.getCelular();
                saida[5] = aux.getDatanacimento();
                saida[6] = aux.getEmail();
                saida[7] = aux.getEndereco();
                saida[8] = aux.getEstado();
                saida[9] = aux.getNome();
                saida [10] = aux.getCidade();

                //Incluir nova linha na Tabela
                model.addRow(saida);
            }
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(rootPane, ex.getMessage());
        }
    }//GEN-LAST:event_jButtonLISTARActionPerformed

    private void jTextFieldNOMECLIENTEActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldNOMECLIENTEActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldNOMECLIENTEActionPerformed

    private void jTextFieldCELULARActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCELULARActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldCELULARActionPerformed

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
        
        ViewSubLogin telasublogin = new ViewSubLogin();
        telasublogin.setVisible(true);
        dispose();
        
    }//GEN-LAST:event_jButtonCancelarActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Metal".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(cadastrodecliente.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {

        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(cadastrodecliente.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(cadastrodecliente.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new cadastrodecliente().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonALTERAR;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JButton jButtonEXCLUIR;
    private javax.swing.JButton jButtonINCLUIR;
    private javax.swing.JButton jButtonLISTAR;
    private javax.swing.JComboBox<String> jComboBoxUF;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable jTable1;
    private javax.swing.JTable jTableIMFORMACOES;
    private javax.swing.JTextField jTextFieldBAIRRO;
    private javax.swing.JFormattedTextField jTextFieldCELULAR;
    private javax.swing.JFormattedTextField jTextFieldCEP;
    private javax.swing.JTextField jTextFieldCIDADE;
    private javax.swing.JFormattedTextField jTextFieldCPF;
    private javax.swing.JFormattedTextField jTextFieldDATANACIMENTO;
    private javax.swing.JTextField jTextFieldEMAIL;
    private javax.swing.JTextField jTextFieldENDERECO;
    private javax.swing.JTextField jTextFieldESTADO;
    private javax.swing.JTextField jTextFieldID;
    private javax.swing.JTextField jTextFieldNOMECLIENTE;
    // End of variables declaration//GEN-END:variables

    private void alterarMarcaSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        incluindo = false;
        linhaAlterando = new Integer(linhaSelecionada);
        jTextFieldID.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 12));
        jTextFieldBAIRRO.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 7));
        jTextFieldCELULAR.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 10));
        jTextFieldCEP.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 1));
        jTextFieldCIDADE.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 6));
        jTextFieldCPF.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 5));
        jTextFieldDATANACIMENTO.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 3));
        jTextFieldEMAIL.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 11));
        jTextFieldENDERECO.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 9));
        jTextFieldESTADO.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 8));
        jTextFieldNOMECLIENTE.setText((String) jTableIMFORMACOES.getValueAt(linhaSelecionada, 0));
    }

    private void excluirMarcaSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        Path path = Paths.get(FILE_FISICA);
        List<String> linhas = Files.readAllLines(path);
        linhas.remove(linhaSelecionada + 1);
        Files.write(path, linhas);
    }

}
